#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EMsgClanAccountFlags {
    Public = 1,
    Large = 2,
    Locked = 4,
    Disabled = 8,
    OGG = 16,
}

impl EMsgClanAccountFlags {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Public as i32 => Some(Self::Public),
            x if x == Self::Large as i32 => Some(Self::Large),
            x if x == Self::Locked as i32 => Some(Self::Locked),
            x if x == Self::Disabled as i32 => Some(Self::Disabled),
            x if x == Self::OGG as i32 => Some(Self::OGG),
            _ => None,
        }
    }
}
